# Uses of Interface
org.apache.lucene.search.LeafCollector

Packages that use LeafCollector
Package
Description
org.apache.lucene.search
Code to search indices.

## Uses of LeafCollector in org.apache.lucene.search

Classes in org.apache.lucene.search that implement LeafCollector
Modifier and Type
Class
Description
`class`
`FilterLeafCollector`
`LeafCollector` delegator.
`class`
`SimpleCollector`
Base `Collector` implementation that is used to collect all contexts.
`static class`
`TopScoreDocCollector.ScorerLeafCollector`
Scorable leaf collector
Fields in org.apache.lucene.search declared as LeafCollector
Modifier and Type
Field
Description
`protected final LeafCollector`
FilterLeafCollector.`in`
Methods in org.apache.lucene.search that return LeafCollector
Modifier and Type
Method
Description
`protected final LeafCollector`
TotalHitCountCollector.`createLeafCollector()`
`LeafCollector`
Collector.`getLeafCollector(LeafReaderContext context)`
Create a new `collector` to collect the given context.
`LeafCollector`
FilterCollector.`getLeafCollector(LeafReaderContext context)`
`LeafCollector`
MultiCollector.`getLeafCollector(LeafReaderContext context)`
`LeafCollector`
PositiveScoresOnlyCollector.`getLeafCollector(LeafReaderContext context)`
`final LeafCollector`
SimpleCollector.`getLeafCollector(LeafReaderContext context)`
`LeafCollector`
TotalHitCountCollector.`getLeafCollector(LeafReaderContext context)`
`static LeafCollector`
ScoreCachingWrappingScorer.`wrap(LeafCollector collector)`
Wrap the provided `LeafCollector` so that scores are computed lazily and cached if accessed multiple times.
Methods in org.apache.lucene.search with parameters of type LeafCollector
Modifier and Type
Method
Description
`abstract int`
BulkScorer.`score(LeafCollector collector, Bits acceptDocs, int min, int max)`
Collects matching documents in a range and return an estimation of the next matching document which is on or after `max`.
`int`
ConstantScoreQuery.ConstantBulkScorer.`score(LeafCollector collector, Bits acceptDocs, int min, int max)`
`int`
Weight.DefaultBulkScorer.`score(LeafCollector collector, Bits acceptDocs, int min, int max)`
`static LeafCollector`
ScoreCachingWrappingScorer.`wrap(LeafCollector collector)`
Wrap the provided `LeafCollector` so that scores are computed lazily and cached if accessed multiple times.
Constructors in org.apache.lucene.search with parameters of type LeafCollector
Modifier
Constructor
Description
``
`FilterLeafCollector(LeafCollector in)`
Sole constructor.